package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.review.InvestigationmanagementRefProblemType;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 问卷-题型关联表-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-11
 */
public interface InvestigationmanagementRefProblemTypeService {

    Result queryPageList(InvestigationmanagementRefProblemType investigationmanagementRefProblemType, int page, int size);

    Result queryById(Integer id);

    Result add(InvestigationmanagementRefProblemType investigationmanagementRefProblemType, AccessToken accessToken);

    Result edit(InvestigationmanagementRefProblemType investigationmanagementRefProblemType, AccessToken accessToken);

    Result del(Integer id);
}